Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class TaskOption

    java.lang.Object
      org.eclipse.birt.report.engine.api.TaskOption

All Implemented Interfaces:
  ITaskOption

Direct Known Subclasses:
  DataExtractionOption, RenderOption

    public class TaskOption

extends java.lang.Object
implements ITaskOption

Field Summary
`protected java.util.Map` | `options` a hash map that stores the rendering options

Constructor Summary
`TaskOption()` constructor
`TaskOption(java.util.Map options)` Constructor.

Method Summary
`protected boolean` | `getBooleanOption(java.lang.String name, boolean defaultValue)` Get boolean option value by name.
`java.lang.Object` | `getOption(java.lang.String name)` get option value for one rendering option
`java.util.Map` | `getOptions()` Get options.
`protected java.lang.String` | `getStringOption(java.lang.String name)` Get option value by name.
`boolean` | `hasOption(java.lang.String name)` Check if an option is defined.
`void` | `setOption(java.lang.String name, java.lang.Object value)` set value for one rendering option

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    protected java.util.Map options

  a hash map that stores the rendering options

Constructor Detail

### TaskOption

    public TaskOption()

  constructor

### TaskOption

    public TaskOption(java.util.Map options)

  Constructor.

  Parameters:
    `options` -

Method Detail

### setOption

    public void setOption(java.lang.String name,
                          java.lang.Object value)

  set value for one rendering option

  Specified by:
    `setOption` in interface `ITaskOption`
  Parameters:
    `name` - the option name
    `value` - value for the option

### getOption

    public java.lang.Object getOption(java.lang.String name)

  get option value for one rendering option

  Specified by:
    `getOption` in interface `ITaskOption`
  Parameters:
    `name` - the option name
  Returns:
    the option value

### hasOption

    public boolean hasOption(java.lang.String name)

  Check if an option is defined.

  Specified by:
    `hasOption` in interface `ITaskOption`
  Parameters:
    `name` - option name.
  Returns:
    true if user has defined an option with this name, even if the value is NULL. false otherwise.

### getOptions

    public java.util.Map getOptions()

  Get options.

  Specified by:
    `getOptions` in interface `ITaskOption`
  Returns:
    options

### getStringOption

    protected java.lang.String getStringOption(java.lang.String name)

  Get option value by name.

  Parameters:
    `name` - the option name
  Returns:
    the option value

### getBooleanOption

    protected boolean getBooleanOption(java.lang.String name,
                                       boolean defaultValue)

  Get boolean option value by name.

  Parameters:
    `name` - the option name
    `defaultValue` - default option value
  Returns:
    default value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.